﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGHierarchicalFilteringDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] sizes = "Small;Medium;Large;ExtraLarge".Split(';');
        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            for(int i=1; i<4; i++)
            {
                SampleData sd = new SampleData() { OrderID = "Order" + i.ToString() };
                sd.Children = new ObservableCollection<SampleData>();

                for(int j=1; j<4; j++)
                {
                    SampleData categorySD = new SampleData() { OrderCategory = "Cat" + j.ToString() };
                    categorySD.Children = new ObservableCollection<SampleData>();

                    for (int k = 1; k < 4; k++)
                    {
                        SampleData sizeQuantitySD = new SampleData() { Size = sizes[r.Next(sizes.Length)], Quantity = r.Next(1, 10) };
                        categorySD.Children.Add(sizeQuantitySD);
                    }

                    sd.Children.Add(categorySD);
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public string OrderID { get; set; }
        public string OrderCategory { get; set; }
        public string Size { get; set; }
        public int? Quantity { get; set; }
        public ObservableCollection<SampleData> Children { get; set; }
    }
}
